Bug 855918 - Backport the vdsm configuration format for libvirt
Backport the vdsm configuration format for libvirt
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Federico Simoncelli
Haim
storage
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-10 11:35 EDT by Federico Simoncelli
Modified: 2014-01-12 19:54 EST (History)
9 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-38.0
Doc Type: Bug Fix
Doc Text:
For consistency with the upstream format, the VDSM configuration for libvirt has been backported.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:11:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Federico Simoncelli 2012-09-10 11:35:02 EDT
Description of problem:
For consistency with the upstream format it might be preferable to backport the vdsm configuration for libvirt.

Version-Release number of selected component (if applicable):
vdsm-4.9.6-34.0.el6_3

Upstream patches:
7065d0c BZ#821867: Do not append comments to config values
706f8d9 Configure libvirt to use sanlock

With the new patches the libvirt config files (/etc/libvirt/libvirtd.conf, /etc/libvirt/qemu.conf, /etc/libvirt/qemu-sanlock.conf) will contain a section for the vdsm configuration as:

## beginning of configuration section by vdsm-4.9.10
...
## end of configuration section by vdsm-4.9.10

Instead of the previous "# by vdsm" comments appended at the end of each line.
Comment 6 Haim 2012-10-24 13:12:18 EDT
libvird.conf:

## beginning of configuration section by vdsm-4.9.6.1
listen_addr="0.0.0.0"
unix_sock_group="kvm"
unix_sock_rw_perms="0770"
auth_unix_rw="sasl"
host_uuid="526bcc25-e834-4004-8d2b-eafc3eff1f1d"
save_image_format="lzop"
log_outputs="1:file:/var/log/libvirtd.log"
log_filters="1:libvirt 3:event 3:json 1:util 1:qemu"
ca_file="/etc/pki/vdsm/certs/cacert.pem"
cert_file="/etc/pki/vdsm/certs/vdsmcert.pem"
key_file="/etc/pki/vdsm/keys/vdsmkey.pem"
## end of configuration section by vdsm-4.9.6.1

qemu-sanlock.conf:

## beginning of configuration section by vdsm-4.9.6.1
auto_disk_leases=0
require_lease_for_disks=0
## end of configuration section by vdsm-4.9.6.1

qemu.conf:

## beginning of configuration section by vdsm-4.9.6.1
dynamic_ownership=0
spice_tls=1
spice_tls_x509_cert_dir="/etc/pki/vdsm/libvirt-spice"
## end of configuration section by vdsm-4.9.6.1
Comment 9 errata-xmlrpc 2012-12-04 14:11:18 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.